uuid: 7743ef41-389b-49b2-93ab-bbde251dc50b
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_menu
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: Menus
source:
  plugin: menu
process:
  id:
    -
      plugin: static_map
      bypass: true
      source: menu_name
      map:
        main-menu: main
        management: admin
        navigation: tools
        user-menu: account
  label:
    -
      plugin: get
      source: title
  description:
    -
      plugin: get
      source: description
destination:
  plugin: 'entity:menu'
migration_dependencies:
  required: {  }
  optional: {  }
